package dev.pfaff.altargui.glfw;

import org.jspecify.annotations.Nullable;

import static dev.pfaff.glass.Config.*;

public final class Config {
	public static final boolean V_SYNC = getEnvFlag("GLFW_V_SYNC", true);
	public static final boolean DOUBLE_BUFFER = getEnvFlag("GLFW_DOUBLE_BUFFER", true);
	/**
	 * This significantly impacts performance when enabled (3000 drops to 1000).
	 */
	public static final boolean SCALE_FRAMEBUFFER = getEnvFlag("GLFW_SCALE_FRAMEBUFFER", true);
	public static final boolean SCALE_TO_MONITOR = getEnvFlag("GLFW_SCALE_TO_MONITOR", true);

	public static final long LONG_FRAME_TIME_WARNING_THRESHOLD = getEnvLong("GLFW_LONG_FRAME_TIME_WARNING_THRESHOLD",
			1_000_000_000L / 30);

	@Nullable
	public static final String PROFILE_EVENTS = getEnvString("ALTAR_GUI_PROFILE_EVENTS", null);
}
